Note: Codex by Waves required to play this library